Subject: [Mipshop] Re: Comments on draft-ietf-mipshop-fh80216e-03.txt

From: Heejin Jang <[email-masked]>
Date: Wed, 07 Nov 2007 06:25:59 +0000 (GMT)

Hi Vijay.

Thank you for your valuable feedback.
Kindly see the inline comments.

On 11/6/07, Heejin Jang <[email-masked]> wrote:
> Hello,
>
> I have a few comments on draft-ietf-mipshop-fh80216e-03.txt.
>
> The document relies on 802.21 primitives being available. I think it
> should be possible to use FMIPv6 over 802.16e link even when
> 802.21 primitives are not implemented. We could describe the handover
> procedure using some abstract L2 notification events. I am not
> suggesting removing 802.21 related stuff from the document, but
> describe FMIPv6 handovers both with and without 802.21.

It sounds good, but actually without the support of 802.21, we simply
need to implement the primitives which can play the same
functionality. We will add the below mention in the draft.

"This document assumes that the mobile node is equipped with the MIH
(Media Independent Handover) technology proposed by IEEE 802.21 WG and
it can benefit from the existing MIH primitives for the fast handover.
In case the MIH is not deployed in the MN, it is necessary to
implement a set of primitives proposed in this document
independently."

> In section 5.2, there is some confusion in the text. It is not clear
> if the LHI message triggers the FBU or the other way around.
> Figure 3 shows this clearly, with the LHI message triggering the FBU.
> But there is some text in section 5.2 that says something otherwise.
> See below.
> > After receiving either MOB_BSHO-RSP or
> >    MOB_BSHO-REQ message, the MN sends an FBU (Fast Binding Update) to
> >    the PAR.  When the response, an FBack message, arrives at the MN, the
> >    Link_Handover_Imminent (LHI) is used to signal the IP layer of the
> >    arrival of MOB_BSHO-REQ/MOB_BSHO-RSP in the link layer as soon as
> >    possible.

Right. This is the same comment given from Ved, and we fixed it as follows.

"After receiving either a MOB_BSHO-RSP or a MOB_BSHO-REQ message, the
MN triggers the Link_Handover_Imminent (LHI) in order to signal the IP 
layer of the arrival of MOB_BSHO-REQ/MOB_BSHO-RSP in the link layer as
soon as possible. On receiving the LHI, the IP layer sends an FBU to
the PAR."

> In Figure 3, it is shown that MOB_HO-IND triggers the PAR to forward
> packets to the NAR.
>
> >     7.    |------------------FBU---------------->|            |      |
> >           |      |                        |      |-----HI---->|      |
> >           |      |                        |      |<---HACK----|      |
> >           |<-----------------FBack---------------|-->         |      |
> >     8.    |(HC)->|-------MOB_HO-IND------>|  forward pkt=====>|      |
>
> But according to 4068bis, the FBU/FBAck exchange coupled with the
> HI/HACK exchange triggers the forwarding. If that behavior is being
> modified, it should be explicitly pointed out.

Ok. The figure seems to be misleading. The packet forwarding at PAR
happens before the MN issues an MOB_HO-IND message. We fixed the
figure as follows.

   7.    |------------------FBU---------------->|            |      |
         |      |                        |      |-----HI---->|      |
         |      |                        |      |<---HACK----|      |
         |<-----------------FBack---------------|-->         |      |
         |      |                        |  forward pkt=====>|      |
   8.    |(HC)->|-------MOB_HO-IND------>|      |            |      |

> Finally the document is missing the IANA considerations section.
> Even if there are no IANA assignment requests, the document should
> contain an IANA considerations section that says nothing is being
> requested of IANA. Otherwise the document will not pass the idnits
> check.

Ok. We added a Section for IANA as below.

"9.  IANA Considerations

This document does not require any new number assignment from IANA"

- Best Regards,
Heejin

> Vijay
_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Rajeev Koodli <[email-masked]>
Date: Wed, 07 Nov 2007 09:36:50 -0800

Hi Heejin,

> implement a set of primitives proposed in this document

I agree with Vijay. Even the suggested text above assumes that the "..
Mobile node is equipped with MIH technology". This should be re-worded.
Suggested text below:

"In order to maximize the benefits of synchronizing link layer handover with
the fast IP handover procedure, it may be useful to exploit the link-layer
handover indicators when available. For example, the Media Independent
Handover (MIH) services being defined in the IEEE 802.21 working group could
be used for this purpose, as are link-layer specific indicators (when they
are available)."

Regards,

-Rajeev
-- 
http://people.nokia.net/~rajeev

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 07 Nov 2007 15:13:27 -0800

> be used for this purpose, as are link-layer specific indicators (when they

Yes, this is what I was getting at. It needs to be made clear that
802.21 primitives are not a MUST for using FMIPv6 over 802.16e links.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 07 Nov 2007 15:13:58 -0800

Heejin,

The rest of the changes are fine.

Vijay